summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d8f6b34)
raw | patch | inline | side by side (parent: d8f6b34)
author | Linus Torvalds <torvalds@osdl.org> | |
Wed, 25 Jan 2006 22:02:10 +0000 (17:02 -0500) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 25 Jan 2006 22:44:55 +0000 (14:44 -0800) |
If we get an error parsing the arguments, exit.
Signed-off-by: Linus Torvalds <torvalds@osdl.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Linus Torvalds <torvalds@osdl.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-whatchanged.sh | patch | blob | history |
diff --git a/git-whatchanged.sh b/git-whatchanged.sh
index 80e2500e0ea1769d9d92454c667852dd2056ef04..d4f985b5eb2f64e597e820c04e510f0f81692a6a 100755 (executable)
--- a/git-whatchanged.sh
+++ b/git-whatchanged.sh
SUBDIRECTORY_OK='Yes'
. git-sh-setup
-diff_tree_flags=$(git-rev-parse --sq --no-revs --flags "$@")
+diff_tree_flags=$(git-rev-parse --sq --no-revs --flags "$@") || exit
test -z "$diff_tree_flags" &&
diff_tree_flags=$(git-repo-config --get whatchanged.difftree)
test -z "$diff_tree_flags" &&